Skip to main content

Scheduled Order Management

ANYMARKET now supports tracking the availability date of products manufactured on demand (crossdocking) and notifying via API when the product is ready to ship, so you can send the invoice and request the shipping label.

warning

Attention!โ€‹

Only the MERCADO LIVRE marketplace supports early scheduling of scheduled orders.

How did it work before?โ€‹

Previously, to indicate that a product was already available before the deadline, the seller had to manually access the Mercado Livre panel and click the "I already have the product" button.

What changed?โ€‹

Now, you can notify via API that the product is ready, directly through the order update (PUT /orders/) using the deliveryStatus field.

Check the Availability Date (Scheduling)โ€‹

For orders with products in production, it is possible to check the deadline for product availability.

Use the endpoint:

GET /orders/{id}

The date will be available in the bufferingDate field, inside the tracking object.

Example response:

"tracking": {
"number": "MEL4510070728234XDF01",
"carrier": "MEL Distribution",
"estimateDate": "2025-07-06T03:00:00Z",
"bufferingDate": "2025-07-03T23:59:59Z"
}

bufferingDate indicates the date by which the product must be available for shipping.

Mark Product as Ready to Shipโ€‹

If you already have the product before the scheduled date and want to advance the shipment, you can notify this condition directly via API.

Use the endpoint:

PUT /orders/{id}

And send the deliveryStatus field with the value "SHIP_CONFIRMED" in the request body:

Request example:

PUT /orders/123456
{
"deliveryStatus": "SHIP_CONFIRMED"
}

Expected behavior:

  • The update call returns success.

  • The action will be processed asynchronously.

  • If the early shipment is accepted, the order status will be updated normally.

  • If an error occurs during the operation, the order will be marked with an error.

Error messages:

To identify whether the operation was completed successfully, perform a new query on the order with:

GET /orders/{id}

If the early shipment attempt fails, the order will be returned with the following fields:

"transmissionStatus": "ERROR",
"transmissionMessage": "Erro ao informar que jรก possui o produto, aguarde a data limite de fabricaรงรฃo ou tente novamente."

Summaryโ€‹

ActionEndpointField
View scheduling dateGET /orders/{id}tracking.bufferingDate
Notify that you have the productPUT /orders/{id}"deliveryStatus": "SHIP_CONFIRMED"
Check request errorGET /orders/{id}transmissionStatus, transmissionMessage